import org.webharvest.definition.ScraperConfiguration;
import org.webharvest.runtime.Scraper;
import org.webharvest.runtime.variables.Variable;

import java.io.FileNotFoundException;


public class App {
    public static void main(String[] args) {
        try {
            ScraperConfiguration config =
                    new ScraperConfiguration("c:/twit88.xml");
            Scraper scraper = new Scraper(config, "c:/temp/");
            //scraper.getHttpClientManager().setHttpProxy("proxy-server", 8001);

            scraper.addVariableToContext("url", "http://twit88.com/blog/2007/12/31/design-pattern-in-java-101-builder-pattern-creational-pattern/");
            scraper.setDebug(true);
            scraper.execute();

            // takes variable created during execution
            Variable article = (Variable)scraper.getContext().getVar("article");

            // do something with articles...
            System.out.println(article.toString());
        } catch (FileNotFoundException e) {
            System.out.println(e.getMessage());
        }
    }
}
